> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezyshield.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an invoice

> Requires the `invoice:read` ability.



## OpenAPI

````yaml /api-reference/api.json get /invoices/{invoice}
openapi: 3.1.0
info:
  title: ezyshield
  version: 0.0.1
servers:
  - url: https://app.ezyshield.com.au/api
    description: Production
  - url: https://sandbox.ezyshield.com.au/api
    description: Sandbox
security:
  - http: []
tags:
  - name: Organizations
  - name: API Keys
  - name: Verifications
  - name: Checks
  - name: ABA checks
  - name: Invoices
  - name: Webhook Subscriptions
  - name: Webhook Events
paths:
  /invoices/{invoice}:
    get:
      tags:
        - Invoices
      summary: Get an invoice
      description: Requires the `invoice:read` ability.
      operationId: invoices.show
      parameters:
        - name: invoice
          in: path
          required: true
          description: 'The invoice ID. Example: `inv_01jz8v2q4x...`'
          schema:
            type: string
        - name: fields[invoices]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - status
                - source
                - original_file_name
                - extracted_business_name
                - extracted_business_abn
                - extracted_account_name
                - extracted_account_number
                - extracted_account_bsb
                - extracted_invoice_number
                - created_at
                - updated_at
          explode: false
      responses:
        '200':
          description: '`InvoiceResource`'
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/InvoiceResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    InvoiceResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: invoices
        attributes:
          type: object
          properties:
            status:
              type: string
              description: The status of the invoice.
            source:
              type: string
              description: How the invoice was created (dashboard, email, or api).
            original_file_name:
              type: string
              description: The original file name of the uploaded invoice.
            extracted_business_name:
              type: string
              description: Extracted supplier business name.
            extracted_business_abn:
              type: string
              description: Extracted supplier ABN.
            extracted_account_name:
              type: string
              description: Extracted bank account name.
            extracted_account_number:
              type: string
              description: Extracted bank account number.
            extracted_account_bsb:
              type: string
              description: Extracted bank account BSB.
            extracted_invoice_number:
              type: string
              description: Extracted invoice number.
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            updated_at:
              type: string
              description: ISO 8601 formatted date-time.
      required:
        - id
        - type
      title: InvoiceResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````